All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Interface CalculatedItemListV2Interface

All Superinterfaces:
  CalculatedItemListInterface, CalculatedItemMetadataInterface

All Known Implementing Classes:
  BaseCalculatedItemListAdapter, BusinessModelToCalculatedItemListAdapter, BusinessQueryToCalculatedItemListAdapter, DataSelectionToCalculatedItemListAdapter, InformationMapToCalculatedItemListAdapter

    public interface CalculatedItemListV2Interface

extends CalculatedItemListInterface

Method Summary
`java.util.Locale` | `getLocale()`
`java.lang.Object` | `getTimeHierarchy()`
`boolean` | `isTimeDimensionPresent()` Returns if a time dimension is present in the query
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemListInterface
`addCalculatedItem, canRemoveAllCalculatedItems, clearSelectionCursor, commitChanges, getCalculatedItemList, getDescription, getFormatAdapter, getMaxLengthOfItemName, getName, getSelectedCalculatedItem, getSelectionCount, getSelectionCursor, isCalculatedItemSelected, newCalculatedItem, newCalculatedItem, removeAllCalculatedItems, removeSelectedCalculatedItem, setDescription, setName, setSelectionCursor, updateSelectedCalculatedItem`

Methods inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemMetadataInterface
`getBusinessDataSourceTree, getDataSourceTree, getFunctionListTree, getLevelHasMembers, getLevelNameMap, getLevelNames, getMaxOutputObservations, getMeasureNameMap, getMeasureNames, getMemberNames, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, setMaxOutputObservations`

Method Detail

### isTimeDimensionPresent

    boolean isTimeDimensionPresent()

  Returns if a time dimension is present in the query

  Returns:
    true if time dimension calculations can be performed

### getTimeHierarchy

    java.lang.Object getTimeHierarchy()

### setLocale

    void setLocale(java.util.Locale locale)

### getLocale

    java.util.Locale getLocale()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.